package com.brilliance.isc.common.register.dftcre.impl;

import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.model.Dftcre;
import com.brilliance.isc.common.register.dftcre.IDftcreRegister;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("bdd.dftcreRegister")
public class BddDftcreRegister implements IDftcreRegister {

    @Autowired
    private BrdDftcreRegister brdDftcreRegister;

    @Override
    public void setDFDfieldsfromXXX(Dftcre dftcreVo) {
        brdDftcreRegister.setDFDfieldsfromXXX(dftcreVo);
    }

    @Override
    public boolean isNeedRepair(Trn trn) {
        if ("BDTSET".equals(trn.getInifrm())) {
            return true;
        }
        return false;
    }
}
